[OMPI packagers] Open MPI 5.0.0: drop support for gcc 4.4.7?

2021-09-21 Thread Jeff Squyres (jsquyres) via ompi-packagers
All -- Unless someone has a strong reason for keeping support for GCC 4.4.7 (i.e., the default GCC compiler that shipped in RHEL 6), Open MPI is going to drop support for it in v5.0.0. The reason for this is that PRTE and PMIX no longer compile successfully with GCC 4.4.7 (and Open MPI gets a

[OMPI packagers] Fwd: Open MPI State of the Union BOF (webinar)

2021-03-30 Thread Jeff Squyres (jsquyres) via ompi-packagers
Open MPI packagers -- I should have thought to forward this before now; sorry! We're having a free Open MPI "State of the Union" webinar today to give a snapshot of where we are and the roadmaps for the various Open MPI release trains. This "State of the Union" presentation is usually given

[OMPI packagers] Fwd: [OMPI devel] Open MPI v5.0.x branch created

2021-03-12 Thread Jeff Squyres (jsquyres) via ompi-packagers
FYI. Open MPI v5.0.x is coming! Begin forwarded message: From: Geoffrey Paulsen via devel mailto:de...@lists.open-mpi.org>> Subject: [OMPI devel] Open MPI v5.0.x branch created Date: March 11, 2021 at 1:24:32 PM EST To: de...@lists.open-mpi.org Cc: Geoffrey

[OMPI packagers] Does anyone care about 32-bit Open MPI?

2021-03-09 Thread Jeff Squyres (jsquyres) via ompi-packagers
Open MPI packagers -- We're seriously contemplating dropping 32 bit support for Open MPI v5.0 (32-bit support will continue in Open MPI series prior to v5.0.x -- for example, the v4.1.x series will continue to have 32-bit support). Will this be a problem for the downstream Open MPI packagers?

[OMPI packagers] Fwd: [Open MPI Announce] Open MPI v4.1.0 Released

2020-12-18 Thread Jeff Squyres (jsquyres) via ompi-packagers
Open MPI packagers: FYI. Begin forwarded message: From: "Jeff Squyres \(jsquyres\) via announce" mailto:annou...@lists.open-mpi.org>> Subject: [Open MPI Announce] Open MPI v4.1.0 Released Date: December 18, 2020 at 6:03:50 PM EST To: Open MPI Announcements mailto:annou...@li

[OMPI packagers] Open MPI 4.1.0rc4

2020-11-24 Thread Jeff Squyres (jsquyres) via ompi-packagers
We're getting close: 4.1.0rc4 is now available. https://www.open-mpi.org/software/ompi/v4.1/ The list of things left before v4.1.0 is final is getting very, very short. Changes since rc3: - Configury fixes for macOS Big Sur - Minor one-sided RDMA performance improvements - Fix OSHMEM

[OMPI packagers] Open MPI: v5.0 delayed, v4.1 soon

2020-06-08 Thread Jeff Squyres (jsquyres) via ompi-packagers
Heads up for packagers: the v5.0.0 release has been delayed. It's taking longer than expected to get master stable -- which has ended up slotting v5.0.0 in to scheduling for later this year, and possibly even 2021. Instead, we're going to release v4.1.0 "soon". v4.1.0 will be branched from

Re: [OMPI packagers] Open MPI v5.0 packaging change: require pandoc

2020-05-12 Thread Jeff Squyres (jsquyres) via ompi-packagers
On Apr 14, 2020, at 5:39 PM, Jeff Squyres mailto:jsquy...@cisco.com>> wrote: I should be clear: the build requirements here are ***only if you try to build a git clone***. If you're building from an Open MPI distribution tarball, the man pages will be pre-built and included in the tarball --

Re: [OMPI packagers] New RTE for OMPI v5

2020-04-27 Thread Jeff Squyres (jsquyres) via ompi-packagers
Open MPI packagers -- Just to be clear: this is an open question to you for the upcoming Open MPI v5.0.x series. We'd really appreciate your feedback. Thanks! > On Apr 14, 2020, at 12:40 PM, Ralph Castain wrote: > > Just pinging you all to ensure you got this. I need to know if we need

Re: [OMPI packagers] Open MPI v5.0 packaging change: require pandoc

2020-04-14 Thread Jeff Squyres (jsquyres) via ompi-packagers
On Apr 14, 2020, at 3:45 PM, Marco Atzeri mailto:marco.atz...@gmail.com>> wrote: very complex https://www.joachim-breitner.de/blog/748-Thoughts_on_bootstrapping_GHC It is one of the cases where a new system will be almost impossible to bootstrap. I saw something similar in GO build system so

Re: [OMPI packagers] Open MPI v5.0 packaging change: require pandoc

2020-04-14 Thread Jeff Squyres (jsquyres) via ompi-packagers
On Apr 14, 2020, at 12:23 PM, Marco Atzeri wrote: > >> Open MPI packagers -- >> We would like to require "pandoc" for building Open MPI >=v5.0.x from a git >> clone, at least version v1.12. >> Is this ok with all of you? > > give me time to try build it. > > Currently is not available on

[OMPI packagers] Open MPI v5.0 packaging change: require pandoc

2020-04-14 Thread Jeff Squyres (jsquyres) via ompi-packagers
Open MPI packagers -- We would like to require "pandoc" for building Open MPI >=v5.0.x from a git clone, at least version v1.12. Is this ok with all of you? -- Jeff Squyres jsquy...@cisco.com ___ ompi-packagers mailing list

[OMPI packagers] Updates for packagers

2019-04-17 Thread Jeff Squyres (jsquyres) via ompi-packagers
Open MPI packagers: I have a few updates for you. 1. As you noticed, we just had releases for Open MPI v4.0.1, v3.0.4, and v3.1.4. 2. For v4.0.1, in addition to the things listed in https://www.mail-archive.com/announce@lists.open-mpi.org//msg00122.html, it is worth noting that we removed the

[OMPI packagers] Unexpected releases: 2.1.5, 3.1.2

2018-08-15 Thread Jeff Squyres (jsquyres) via ompi-packagers
Packagers -- Heads up: we just released 2.1.4 on Friday, but unrelated to that release, we found a fairly serious bug in our shared memory plugin (the "vader" BTL). We anticipate doing a 2.1.5 release in the immediate future, and will likely do a 3.1.2 release very shortly as well. Here's the

[OMPI packagers] Open MPI v2.1.4rc1

2018-08-06 Thread Jeff Squyres (jsquyres) via ompi-packagers
Open MPI v2.1.4rc1 has been pushed. It is likely going to be the last in the v2.1.x series (since v4.0.0 is now visible on the horizon). It is just a bunch of bug fixes that have accumulated since v2.1.3; nothing huge. We'll encourage users who are still using the v2.1.x series to upgrade to

[OMPI packagers] Symbol versioning (was: Shift focus to external libevent, hwloc, pmix)

2018-07-17 Thread Jeff Squyres (jsquyres) via ompi-packagers
On Jul 11, 2018, at 3:56 AM, Alastair McKinstry wrote: > > Also, I'd like to revisit the Symbol versioning feature > (https://github.com/open-mpi/ompi/issues/1956). (Splitting this into its own thread) > This was closed due to lack of followup on my part at the time (sorry about > that).

Re: [OMPI packagers] Shift focus to external libevent, hwloc, pmix

2018-07-17 Thread Jeff Squyres (jsquyres) via ompi-packagers
On Jul 10, 2018, at 5:11 PM, Geoffrey Paulsen wrote: > >In Open MPI v4.0, one of the changes that we're making is to prefer > external packages in configure versus our internal packages for libevent, > hwloc, and pmix (also see https://github.com/open-mpi/ompi/issues/5031). > There are

Re: [OMPI packagers] [OMPI devel] openmpi 3.1.x examples

2018-07-16 Thread Jeff Squyres (jsquyres) via ompi-packagers
On Jul 13, 2018, at 4:35 PM, Marco Atzeri wrote: > >> For one. The C++ bindings are no longer part of the standard and they are >> not built by default in v3.1x. They will be removed entirely in Open MPI >> v5.0.0. Hey Marco -- you should probably join our packagers mailing list:

Re: [OMPI packagers] Open MPI packagers email list

2018-07-11 Thread Jeff Squyres (jsquyres) via ompi-packagers
; wrote: >> >> Hi Jeff >> >> Whats the relationship between OpenMPI and the PMIX 3.0.0 release ? >> >> Are they compatible ? >> >> regards >> >> Alastair >> >> >> >> On 10/07/2018 23:19, Jeff Squyres (jsquyres

[OMPI packagers] Shift focus to external libevent, hwloc, pmix

2018-04-06 Thread Jeff Squyres (jsquyres)
In case you didn't see it, I've posted a concrete proposal for shifting configure's bias to using external libevent, hwloc, and pmix: https://github.com/open-mpi/ompi/issues/5031 (We talked about this in kinda generalities in Dallas last month; this issue is an attempt to actually nail